Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### array()

Examples

    PVector v = new PVector(10.0, 20.0, 30.0);
    float[] f = v.array();
    println(f[0]);  // Prints "10.0"
    println(f[1]);  // Prints "20.0"
    println(f[2]);  // Prints "30.0"

Description | Return a representation of this vector as a float array. This is only for temporary use. If used in any other fashion, the contents should be copied by using the PVector.get() method to copy into your own array.

Syntax

    vec.array()

Parameters

vec | any variable of type PVector

Returns | float[]
Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST